Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qdml
Class QDMExcludes

    java.lang.Object
      |
      +--com.jxml.quick.model.qdml.QDMCloneable
            |
            +--com.jxml.quick.model.qdml.QDMExcludes

All Implemented Interfaces:
  Cloneable, QBiModal

public class QDMExcludes
extends QDMCloneable
implements QBiModal

Models an excludes element in QDML. This element names a coin which is not to be included in the document. There is no effect on coins that are part of the same QDML document as the excludes element.

    DTD:

    <!ELEMENT excludes (#PCDATA)>

    <!ATTLIST excludes
        ID id #IMPLIED
    >

Field Summary
`String` | `text` Represents the text content of the excludes element.

Constructor Summary
`QDMExcludes()`

Method Summary
`void` | `buildMaps(Map coinMap, Map contentMap)` Builds the maps.
`String` | `getQText()` Returns the text content of the element.
`void` | `setQText(String text)` Sets the text content of the element.

Methods inherited from class com.jxml.quick.model.qdml.QDMCloneable
`clone, clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    public String text

  Represents the text content of the excludes element. This text content must be the unique (within any given document) label or tag assigned to a coin. (There are five kinds of coin elements: interface, abstract, text, bean, and link.)

Constructor Detail

### QDMExcludes

    public QDMExcludes()

Method Detail

### getQText

    public String getQText()

  Returns the text content of the element.
  Specified by:
    `getQText` in interface `QBiModal`

### setQText

    public void setQText(String text)

  Sets the text content of the element.
  Specified by:
    `setQText` in interface `QBiModal`

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap)
                   throws SAXException

  Builds the maps. This method is called durring initialization of the data model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD